## ros-rolling-ros-workspace 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ros_workspace NONE)

find_package(ament_cmake_core REQUIRED)

# Collect current python 3 version
execute_process(COMMAND python3 -c "from distutils import sysconfig; print(sysconfig.get_python_version())" OUTPUT_VARIABLE PYTHON_MAJOR_MINOR OUTPUT_STRIP_TRAILING_WHITESPACE)

# Locate ament_package template files.
if(WIN32)
  set(PYTHON_INSTALL_DIR "lib/site-packages")
  set(SHELL_EXT "bat")
else()
  set(PYTHON_INSTALL_DIR "lib/python${PYTHON_MAJOR_MINOR}/site-packages")
  set(SHELL_EXT "sh")
endif()
set(AMENT_PACKAGE_DIR "${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL_DIR}/ament_package")
if(NOT EXISTS "${AMENT_PACKAGE_DIR}")
  # Check for an .egg-link file and use the listed directory if it exists
  get_filename_component(AMENT_PACKAGE_EGG_LINK "${AMENT_PACKAGE_DIR}" DIRECTORY)
  set(AMENT_PACKAGE_EGG_LINK "${AMENT_PACKAGE_EGG_LINK}/ament-package.egg-link")
  if(NOT EXISTS "${AMENT_PACKAGE_EGG_LINK}")
    message(FATAL_ERROR "Could neither find '${AMENT_PACKAGE_DIR}' nor '${AMENT_PACKAGE_EGG_LINK}'")
  endif()
  file(STRINGS "${AMENT_PACKAGE_EGG_LINK}" AMENT_PACKAGE_DIR)
  list(GET AMENT_PACKAGE_DIR 0 AMENT_PACKAGE_DIR)
  set(AMENT_PACKAGE_DIR "${AMENT_PACKAGE_DIR}/ament_package")
  if(NOT EXISTS "${AMENT_PACKAGE_DIR}")
    message(FATAL_ERROR "Could not find '${AMENT_PACKAGE_DIR}' listed in '${AMENT_PACKAGE_EGG_LINK}'")
  endif()
endif()
set(AMENT_PACKAGE_TEMPLATE_DIR "${AMENT_PACKAGE_DIR}/template")
set(PYTHONPATH_HOOK "${AMENT_PACKAGE_TEMPLATE_DIR}/environment_hook/pythonpath.${SHELL_EXT}.in")

# register information for .dsv generation
set(
  AMENT_CMAKE_ENVIRONMENT_HOOKS_DESC_pythonpath
  "prepend-non-duplicate;PYTHONPATH;${PYTHON_INSTALL_DIR}")

# Set environment hooks for default environment.
if(WIN32)
  ament_environment_hooks("${PYTHONPATH_HOOK}")
else()
  set(LIBRARY_PATH_HOOK "${AMENT_PACKAGE_TEMPLATE_DIR}/environment_hook/library_path.${SHELL_EXT}")
  # enable C language so that a trycompile can determine what the
  # anticipated libdir will be.
  enable_language(C)
  include(GNUInstallDirs)
  if(NOT ${CMAKE_INSTALL_LIBDIR} STREQUAL "lib")
    # register multiarch information for .dsv generation
    if(APPLE)
      set(LIBRARY_PATH_ENV_VAR "DYLD_LIBRARY_PATH")
    else()
      set(LIBRARY_PATH_ENV_VAR "LD_LIBRARY_PATH")
    endif()
    set(
      AMENT_CMAKE_ENVIRONMENT_HOOKS_DESC_multiarch_library_paths
      "prepend-non-duplicate;${LIBRARY_PATH_ENV_VAR};${CMAKE_INSTALL_LIBDIR}")
    set(MULTIARCH_LIBRARY_PATH_HOOK "env-hooks/multiarch_library_paths.sh.in")
  endif()
  ament_environment_hooks("${LIBRARY_PATH_HOOK}" "${PYTHONPATH_HOOK}" ${MULTIARCH_LIBRARY_PATH_HOOK})
endif()

# skip using ament_index/resource_index/parent_prefix_path
# if for Debian packages it is known that there are no underlays
# note the template only checks for an empty (use) / non-empty (skip) string
set(SKIP_PARENT_PREFIX_PATH "SKIP_PARENT_PREFIX_PATH")

ament_package()
ament_generate_environment()

## ros-rolling-ros-workspace 1.0.2

=== debian/changelog ===
ros-rolling-ros-workspace (1.0.2-1focal) focal; urgency=high

  * Use GNUInstallDirs to determine multiarch library dir (#20 <https://github.com/ros2/ros_workspace/issues/20>)
  * Contributors: Scott K Logan

 -- Steven! Ragnarök <steven@openrobotics.org>  Thu, 04 Feb 2021 08:00:00 -0000

ros-rolling-ros-workspace (1.0.1-1focal) focal; urgency=high

  * set flag to skip parent_prefix_path (#19 <https://github.com/ros2/ros_workspace/issues/19>)
  * Contributors: Dirk Thomas

 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 05 Jun 2020 07:00:00 -0000

ros-rolling-ros-workspace (1.0.0-1focal) focal; urgency=high

  * Extend library path to have multiarch directory (#18 <https://github.com/ros2/ros_workspace/issues/18>)
  * Enable Windows build. (#17 <https://github.com/ros2/ros_workspace/issues/17>)
  * Contributors: Jacob Perron, Sean Yen

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-ros-workspace (0.8.0-1focal) focal; urgency=high

  * Added .dsv file generation for PYTHONPATH. (#16 <https://github.com/ros2/ros_workspace/issues/16>)
  * Added support for ament_package installed with setup.py develop. (#15 <https://github.com/ros2/ros_workspace/issues/15>)
  * Contributors: Dirk Thomas

 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 11 Oct 2019 07:00:00 -0000

ros-rolling-ros-workspace (0.7.1-1focal) focal; urgency=high

  * Reverted adding the COLCON_PREFIX_PATH env var. (#14 <https://github.com/ros2/ros_workspace/issues/14>)
  * Contributors: Dirk Thomas

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 29 Apr 2019 07:00:00 -0000

ros-rolling-ros-workspace (0.7.0-1focal) focal; urgency=high

  * Add LICENSE file containing full Apache 2.0 license text. (#13 <https://github.com/ros2/ros_workspace/issues/13>)
  * Contributors: Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 08 Apr 2019 07:00:00 -0000

ros-rolling-ros-workspace (0.6.1-1focal) focal; urgency=high

  * Add COLCON_PREFIX_PATH env hook. (#11 <https://github.com/ros2/ros_workspace/issues/11>)
  * Contributors: Dirk Thomas

 -- Steven! Ragnarök <steven@openrobotics.org>  Thu, 07 Feb 2019 08:00:00 -0000

ros-rolling-ros-workspace (0.6.0-1focal) focal; urgency=high

  * Set default environment hooks for PATH, PYTHONPATH, and LD_LIBRARY_PATH. (#10 <https://github.com/ros2/ros_workspace/issues/10>)
    * Drop setting multiarch library by default.
    Installing into a multiarch dir when specifying a non-standard Debian
    package root appears to have been a bug that was fixed in the Bionic
    toolchain.
    Packages that used to require special handling because their libraries
    were placed in, for example, /opt/ros/bouncy/lib/x86_64-linux-gnu/ now
    place their libraries directly in /opt/ros/bouncy/lib.
    Since this is no longer the default, we should not set any default
    environment hooks using that directory.
    Packages which want to explicitly make use of a multiarch library path
    should set their own environment hooks.
    * Add default environment hook for the binary path.
  * set language to NONE as this doesnt compile any code (#9 <https://github.com/ros2/ros_workspace/issues/9>)
  * Contributors: Mikael Arguedas, Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 14 Nov 2018 08:00:00 -0000

ros-rolling-ros-workspace (0.5.1-1focal) focal; urgency=high

  * Merge pull request #6 <https://github.com/ros2/ros_workspace/issues/6> from ros2/add-default-load-path-unconditionially
    Add default load path unconditionially
  * Add note about default environment hooks and link to further issue.
  * Add /opt/ros/rosdistro/lib to default library path.
    Previously this library path was added to LD_LIBRARY_PATH by environment
    hooks in other packages. However this means that pure-CMake packages
    which don't depend on ament libraries and do not set environment hooks
    of their own aren't found by dependents which are also pure cmake.
    An example of this is fastrtps and fastcdr, both of which are
    third-party cmake packages which do not register environment hooks.
    This bug was previously masked for fastrtps and fastcdr but a
    mis-applied dependency on ament_cmake rather than cmake in fastrtps.
  * Rename hook shell script.
    Since we'll be modifying this to include an additional library path the
    name needs an update.
  * Contributors: Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 18 Jun 2018 07:00:00 -0000

ros-rolling-ros-workspace (0.5.0-1focal) focal; urgency=high

  * Merge pull request #5 <https://github.com/ros2/ros_workspace/issues/5> from ros2/ament-package-dependency
    Add direct build dependency on ament_package.
  * Add direct build dependency on ament_package.
    This dependency was previously implied by the dependency on
    ament_cmake_core. Since we directly use environment script templates
    from ament_package let's make that direct dependency explicit.
  * Merge pull request #4 <https://github.com/ros2/ros_workspace/issues/4> from nuclearsandwich/fetch-python-version
    Collect python version to use in pythonpath hook.
  * Collect python version to use in pythonpath hook.
    Initially this was hardcoded. Since the python minor version depends on
    the target platform this will fetch it from the available python3
    binary.
  * Merge pull request #2 <https://github.com/ros2/ros_workspace/issues/2> from nuclearsandwich/cleaner-environment-hooks
    Install gnuinstalldirs library hook as a generic environment hook.
  * Install gnuinstalldirs library hook as a generic environment hook.
  * Contributors: Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 13 Jun 2018 07:00:00 -0000

ros-rolling-ros-workspace (0.4.0-1focal) focal; urgency=high

  * Fix trailing whitespace bug and drop unneeded export.
  * Add an environment hook to use the platform triplet in library_path.
  * Add really hacky support for gnuinstalldirs.


=== debian/control ===
Source: ros-rolling-ros-workspace
Section: misc
Priority: optional
Maintainer: Steven! Ragnarök <steven@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-rolling-ament-cmake-core, ros-rolling-ament-package
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Provides the prefix level environment files for ROS 2 packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Needed to bootstrap since the ros_workspace package does not yet exist.
export PYTHONPATH=/opt/ros/rolling/lib/python3.8/site-packages

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ros-workspace//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-ros-workspace//opt/ros/rolling/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ros-workspace 1.0.3

=== debian/changelog ===
ros-rolling-ros-workspace (1.0.3-3jammy) jammy; urgency=high

  * Remove path hook generation from ament_environment (#28 <https://github.com/ros2/ros_workspace/issues/28>)
  * [latest] Update maintainers - 2022-11-07 (#26 <https://github.com/ros2/ros_workspace/issues/26>)
  * Contributors: Audrow Nash, Michael Carroll

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 15 Feb 2023 08:00:00 -0000

ros-rolling-ros-workspace (1.0.2-3jammy) jammy; urgency=high

  * Use GNUInstallDirs to determine multiarch library dir (#20 <https://github.com/ros2/ros_workspace/issues/20>)
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 04 Feb 2021 08:00:00 -0000

ros-rolling-ros-workspace (1.0.1-3jammy) jammy; urgency=high

  * set flag to skip parent_prefix_path (#19 <https://github.com/ros2/ros_workspace/issues/19>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 05 Jun 2020 07:00:00 -0000

ros-rolling-ros-workspace (1.0.0-3jammy) jammy; urgency=high

  * Extend library path to have multiarch directory (#18 <https://github.com/ros2/ros_workspace/issues/18>)
  * Enable Windows build. (#17 <https://github.com/ros2/ros_workspace/issues/17>)
  * Contributors: Jacob Perron, Sean Yen

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-ros-workspace (0.8.0-3jammy) jammy; urgency=high

  * Added .dsv file generation for PYTHONPATH. (#16 <https://github.com/ros2/ros_workspace/issues/16>)
  * Added support for ament_package installed with setup.py develop. (#15 <https://github.com/ros2/ros_workspace/issues/15>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 11 Oct 2019 07:00:00 -0000

ros-rolling-ros-workspace (0.7.1-3jammy) jammy; urgency=high

  * Reverted adding the COLCON_PREFIX_PATH env var. (#14 <https://github.com/ros2/ros_workspace/issues/14>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 29 Apr 2019 07:00:00 -0000

ros-rolling-ros-workspace (0.7.0-3jammy) jammy; urgency=high

  * Add LICENSE file containing full Apache 2.0 license text. (#13 <https://github.com/ros2/ros_workspace/issues/13>)
  * Contributors: Steven! Ragnarök

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Apr 2019 07:00:00 -0000

ros-rolling-ros-workspace (0.6.1-3jammy) jammy; urgency=high

  * Add COLCON_PREFIX_PATH env hook. (#11 <https://github.com/ros2/ros_workspace/issues/11>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Feb 2019 08:00:00 -0000

ros-rolling-ros-workspace (0.6.0-3jammy) jammy; urgency=high

  * Set default environment hooks for PATH, PYTHONPATH, and LD_LIBRARY_PATH. (#10 <https://github.com/ros2/ros_workspace/issues/10>)
    * Drop setting multiarch library by default.
    Installing into a multiarch dir when specifying a non-standard Debian
    package root appears to have been a bug that was fixed in the Bionic
    toolchain.
    Packages that used to require special handling because their libraries
    were placed in, for example, /opt/ros/bouncy/lib/x86_64-linux-gnu/ now
    place their libraries directly in /opt/ros/bouncy/lib.
    Since this is no longer the default, we should not set any default
    environment hooks using that directory.
    Packages which want to explicitly make use of a multiarch library path
    should set their own environment hooks.
    * Add default environment hook for the binary path.
  * set language to NONE as this doesnt compile any code (#9 <https://github.com/ros2/ros_workspace/issues/9>)
  * Contributors: Mikael Arguedas, Steven! Ragnarök

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 08:00:00 -0000

ros-rolling-ros-workspace (0.5.1-3jammy) jammy; urgency=high

  * Merge pull request #6 <https://github.com/ros2/ros_workspace/issues/6> from ros2/add-default-load-path-unconditionially
    Add default load path unconditionially
  * Add note about default environment hooks and link to further issue.
  * Add /opt/ros/rosdistro/lib to default library path.
    Previously this library path was added to LD_LIBRARY_PATH by environment
    hooks in other packages. However this means that pure-CMake packages
    which don't depend on ament libraries and do not set environment hooks
    of their own aren't found by dependents which are also pure cmake.
    An example of this is fastrtps and fastcdr, both of which are
    third-party cmake packages which do not register environment hooks.
    This bug was previously masked for fastrtps and fastcdr but a
    mis-applied dependency on ament_cmake rather than cmake in fastrtps.
  * Rename hook shell script.
    Since we'll be modifying this to include an additional library path the
    name needs an update.
  * Contributors: Steven! Ragnarök

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 07:00:00 -0000

ros-rolling-ros-workspace (0.5.0-3jammy) jammy; urgency=high

  * Merge pull request #5 <https://github.com/ros2/ros_workspace/issues/5> from ros2/ament-package-dependency
    Add direct build dependency on ament_package.
  * Add direct build dependency on ament_package.
    This dependency was previously implied by the dependency on
    ament_cmake_core. Since we directly use environment script templates
    from ament_package let's make that direct dependency explicit.
  * Merge pull request #4 <https://github.com/ros2/ros_workspace/issues/4> from nuclearsandwich/fetch-python-version
    Collect python version to use in pythonpath hook.
  * Collect python version to use in pythonpath hook.
    Initially this was hardcoded. Since the python minor version depends on
    the target platform this will fetch it from the available python3
    binary.
  * Merge pull request #2 <https://github.com/ros2/ros_workspace/issues/2> from nuclearsandwich/cleaner-environment-hooks


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-rolling-ros-workspace
 Section: misc
 Priority: optional
-Maintainer: Steven! Ragnarök <steven@openrobotics.org>
+Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
 Build-Depends: debhelper (>= 9.0.0), cmake, ros-rolling-ament-cmake-core, ros-rolling-ament-package
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,15 +17,20 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
 
 # Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
 export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 # Needed to bootstrap since the ros_workspace package does not yet exist.
-export PYTHONPATH=/opt/ros/rolling/lib/python3.8/site-packages
+export PYTHONPATH=/opt/ros/rolling/lib/python3.10/site-packages:/opt/ros/rolling/lib/python3.9/site-packages
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -34,7 +39,8 @@
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
